keychain-2.8.5-32.1.noarch.rpm


Advertisement

Description

keychain - A Key Management Application for SSH2 RSA/DSA and GnuPG Keys

Property Value
Distribution openSUSE Leap 42.3
Repository Security all
Package name keychain
Package version 2.8.5
Package release 32.1
Package architecture noarch
Package type rpm
Installed size 96.88 KB
Download size 42.59 KB
Official Mirror widehat.opensuse.org
Keychain is an extremely handy OpenSSH, commercial SSH2-compatible
RSA/DSA and GnuPG key management application. It acts as a front-end to
the agents, allowing you to easily have one long-running agent process
per system, rather than per login session. This dramatically reduces
the number of times you need to enter your pass phrase from once per
new login session to once every time your local machine is rebooted.

Alternatives

Package Version Architecture Repository
keychain-2.8.5-5.1.noarch.rpm 2.8.5 noarch openSUSE Update Oss
keychain-2.8.2-3.1.noarch.rpm 2.8.2 noarch openSUSE Oss
keychain - - -

Requires

Name Value
bash -
coreutils -
gpg -
openssh -
sed -

Provides

Name Value
keychain = 2.8.5-32.1

Download

Type URL
Binary Package keychain-2.8.5-32.1.noarch.rpm
Source Package keychain-2.8.5-32.1.src.rpm

Install Howto

  1. Add the Security repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/security/openSUSE_Leap_42.3/ security
  2. Install keychain rpm package:
    # zypper install keychain

Files

Path
/usr/bin/keychain
/usr/share/doc/packages/keychain/COPYING.txt
/usr/share/doc/packages/keychain/ChangeLog
/usr/share/doc/packages/keychain/README.md
/usr/share/man/man1/keychain.1.gz

Changelog

2018-02-01 - kbabioch@suse.com
- Update to version 2.8.5:
* Summary Various fixes and support systemd gnupg sockets
* Some shells don't support local builtin
* Support systemd managed gnupg sockets
* Fix some lintian warnings in the man page
* Fix issues loading pem keys
- Changes from 2.8.4:
* Support of GPG2
* Support busybox ps
* Various optimizations
- Changed Source spec file, since upstream has migrated to GitHub
2016-10-24 - dimstar@opensuse.org
- Update to version 2.8.3:
* Fix gpg key addition.
2015-12-02 - p.drouand@gmail.com
- Update to version 2.8.2 (boo#991003):
* Summary: Support new ssh features, bug fix release.
* Support for new hash algorithms
* Remove bashisms
* Various optimizations
* --timeout option now gets passed to agent, doc fixes
* RPM, Makefile fixes
- Changes from version 2.8.1
* Summary: POSIX compatibility and bug fix release.
* Only set PATH to a standard value if PATH is not set. Otherwise,
do not modify.
* Makefile Cygwin and RPM spec fixes
* Confhost fixes. Deprecate in_path. Use command -v instead.
* Find_pids: Modify "ps" call to work with non-GNU ps.
* Re-introduce POSIX compatibility (remove shopt.)
- Changes from version 2.8.0
* Support for OpenSSH 6.8 fingerprints.
* Support for GnuPG 2.1.0.
* Handle private keys that are symlinks, even if the associated
public key is in the target directory rather than alongside the
symlink.
* Allow private keys to have extensions, such as foo.priv.
When looking for matching public keys, look for foo.priv.pub,
but also strip extension and look for foo.pub if foo.priv.pub
doesn't exist.
* Initial support for --list/-l option to list SSH keys.
* Updated docs for fish shell usage.
- Changes from version 2.7.2beta1
* Various changes and updates:
* Fixes for fish.
* Keychain will default to start only ssh-agent unless GPG is
explicitly updated using --agents.
* Write ~/.gpg-agent-info when launching gpg-agent.
* Add support for injecting agents into systemd
* Add support for --query option
* Add --absolute flag, allowing user to set a full path without
getting a .keychain suffix automatically appended.
* Add --confhost option to scan ~/.ssh/config file to
locate private key path specified there.
- Update project and download Urls
- Remove 0001-Update-inheritagents-for-GnuPG-v.2.1.patch; fixed
on upstream release
- Perform a spec-cleaner
- Remove useless dependencies
* perl
* make
* sed
* openssh
2015-02-13 - mrueckert@suse.de
- added 0001-Update-inheritagents-for-GnuPG-v.2.1.patch:
Backport the GPG 2.1 support from git head
2010-05-23 - pascal.bleser@opensuse.org
- update to 2.7.1:
* a GPG fix for pinentry issues (Gentoo bug 203871)
- removed keychain-extract_version_with_perl.patch as upstream came
up with a more predictable way of determining the version
- removed use of and dependency on the licenses packages as it is
now considered a bad practice after all
2010-01-29 - lars@linux-schulserver.de
- require openssh as ssh is dead
- remove conditions for unsupported openSUSE versions
2009-10-25 - pascal.bleser@opensuse.org
- update to 2.7.0:
* improved color scheme, output formatting, and the --quiet
option
* the lockfile() implementation was simplified for smaller code
2009-08-07 - pascal.bleser@opensuse.org
- update to 2.6.9:
+ potential issues with GNU grep were fixed
+ the README file was changed to README.rst (reStructuredText)
+ the maintainership information was updated
+ the default output was simplified, so --version or --help are
now required to show version, copyright, and license
information
- simplification of the spec file
- add check section

See Also

Package Description
keyutils-1.5.11-62.1.x86_64.rpm Linux Key Management Utilities
keyutils-devel-1.5.11-62.1.x86_64.rpm Development package for building linux key management utilities
kvirustotal-0.30.0.20120721-26.3.x86_64.rpm Online-based Antivirus and Anti-Phising tool
kvirustotal-lang-0.30.0.20120721-26.3.noarch.rpm Languages for package kvirustotal
lastpass-cli-1.3.1-17.1.x86_64.rpm LastPass command line interface tool
libargon2-1-0.0+git20171227.670229c-19.1.x86_64.rpm The reference C implementation of Argon2
libbsd-ctor-static-0.9.1-17.1.x86_64.rpm Development headers and files for libbsd
libbsd-devel-0.9.1-17.1.x86_64.rpm Development headers and files for libbsd
libbsd0-0.9.1-17.1.x86_64.rpm Provides useful functions commonly found on BSD systems
libcap-ng-devel-0.7.9-40.1.x86_64.rpm Header files for the libcap-ng library
libcap-ng-utils-0.7.9-40.1.x86_64.rpm Utilities for analysing and setting file capabilities
libcap-ng0-0.7.9-40.1.x86_64.rpm An alternate Linux/POSIX capabilities library
libcdk5-5.0.20150928-174.1.x86_64.rpm The Runtime for the Curses Development Kit - Shared library
libclamav7-0.100.1-184.1.x86_64.rpm ClamAV antivirus engine runtime
libclammspack0-0.100.1-184.1.x86_64.rpm ClamAV antivirus engine runtime
Advertisement
Advertisement